> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://commify.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://commify.ferndocs.com/_mcp/server.

# Get all throttle schedules

GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule

Reference: https://commify.ferndocs.com/api-reference/throttle-schedules/get-all-throttle-schedules

## Authentication

- `X-API-Key` header (required) — Your Commify API key.

## Request

### Query parameters

- `FromStartDate` (date, optional)
- `ToStartDate` (date, optional)
- `FromCreatedDate` (datetime, optional)
- `ToCreatedDate` (datetime, optional)
- `Status` (enum, optional)
  - Allowed values: `Active`, `Paused`, `Cancelled`, `Failed`, `Completed`, `PartiallyCompleted`, `Draft`
- `Msisdns` (list of string, optional)
- `OrderBy` (string, optional)
- `OrderDir` (string, optional)
- `PageNumber` (V2ThrottleScheduleGetParametersPageNumber, optional)
- `PageSize` (V2ThrottleScheduleGetParametersPageSize, optional)

### Headers

- `AccountReference` (string, required) — Mandatory AccountReference header

## Response

### 200

OK

- `data` (GetAllThrottleSchedulesResponse, optional, nullable)
- `errors` (list of ErrorDto, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ErrorDto, optional, nullable)

## Types

### V2ThrottleScheduleGetParametersPageNumber

### V2ThrottleScheduleGetParametersPageSize

### GetAllThrottleSchedulesResponse

- `pageIndex` (GetAllThrottleSchedulesResponsePageIndex, optional)
- `pageSize` (GetAllThrottleSchedulesResponsePageSize, optional)
- `count` (GetAllThrottleSchedulesResponseCount, optional)
- `items` (list of GetAllThrottleSchedulesResponseItemsItems, optional)

### ErrorDto

- `errorCode` (string, required)
- `errorMessage` (string, required)
- `metadata` (map from string to string, optional, nullable)

### GetAllThrottleSchedulesResponsePageIndex

### GetAllThrottleSchedulesResponsePageSize

### GetAllThrottleSchedulesResponseCount

### GetAllThrottleSchedulesResponseItemsItems

- `throttleScheduleInformation` (GetAllThrottleSchedulesResponseItemsItemsThrottleScheduleInformation, optional)
- `dispatch` (GetAllThrottleSchedulesResponseItemsItemsDispatch, optional)
- `recipientsCount` (GetAllThrottleSchedulesResponseItemsItemsRecipientsCount, optional)

### GetAllThrottleSchedulesResponseItemsItemsThrottleScheduleInformation

- `id` (string, optional, nullable)
- `createdAt` (datetime, optional, nullable)
- `accountReference` (string, optional, nullable)
- `userId` (string, optional)
- `startDate` (datetime, optional, nullable)
- `timeSlotStart` (string, optional, nullable)
- `timeSlotEnd` (string, optional, nullable)
- `endDate` (datetime, optional, nullable)
- `rateOfSend` (GetAllThrottleSchedulesResponseItemsItemsThrottleScheduleInformationRateOfSend, optional, nullable)
- `status` (enum, optional)
  - Allowed values: `Active`, `Paused`, `Cancelled`, `Failed`, `Completed`, `PartiallyCompleted`, `Draft`
- `daysOfWeek` (list of enum, optional)
  - Allowed values: `Sunday`, `Monday`, `Tuesday`, `Wednesday`, `Thursday`, `Friday`, `Saturday`

### GetAllThrottleSchedulesResponseItemsItemsDispatch

- `name` (string, optional, nullable)
- `characterSet` (enum, optional)
  - Allowed values: `Auto`, `GSM`, `Unicode`
- `channel` (string, optional, nullable)
- `from` (string, optional, nullable)
- `messageType` (enum, optional)
  - Allowed values: `Unknown`, `MarketingAndResearch`, `NotificationsAndReminders`, `AuthenticationAndSecurity`, `PaymentsAndCollections`, `InternalOperations`, `CustomerSupport`, `Conversational`, `BlueLight`
- `body` (GetAllThrottleSchedulesResponseItemsItemsDispatchBody, optional)
- `metaData` (map from string to string, optional, nullable)

### GetAllThrottleSchedulesResponseItemsItemsRecipientsCount

### GetAllThrottleSchedulesResponseItemsItemsThrottleScheduleInformationRateOfSend

### GetAllThrottleSchedulesResponseItemsItemsDispatchBody

- `text` (string, optional, nullable)
- `templateId` (string, optional, nullable)
- `attachment` (GetAllThrottleSchedulesResponseItemsItemsDispatchBodyAttachment, optional)

### GetAllThrottleSchedulesResponseItemsItemsDispatchBodyAttachment

- `fileScanId` (string, optional)
- `url` (string, optional, nullable)
- `safeUrl` (string, optional, nullable)
- `sizeBytes` (GetAllThrottleSchedulesResponseItemsItemsDispatchBodyAttachmentSizeBytes, optional, nullable)
- `contentType` (string, optional, nullable)
- `fileName` (string, optional, nullable)
- `description` (string, optional, nullable)

### GetAllThrottleSchedulesResponseItemsItemsDispatchBodyAttachmentSizeBytes

## Examples

**Response**

```json
{
  "data": null,
  "errors": null
}
```

**SDK Code**

```python
import requests

url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule"

headers = {
    "AccountReference": "AccountReference",
    "X-API-Key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule';
const options = {
  method: 'GET',
  headers: {AccountReference: 'AccountReference', 'X-API-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("AccountReference", "AccountReference")
	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["AccountReference"] = 'AccountReference'
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule")
  .header("AccountReference", "AccountReference")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule', [
  'headers' => [
    'AccountReference' => 'AccountReference',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule");
var request = new RestRequest(Method.GET);
request.AddHeader("AccountReference", "AccountReference");
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "AccountReference": "AccountReference",
  "X-API-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```